CVE-2013-1968
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries,SLE SDK 10 SP4 for IBM zSeries,SLE SDK 10 SP4 for IPF,SLE SDK 10 SP4 for X86-64,SLE SDK 10 SP4 for x86,SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T,SUSE Linux Enterprise Desktop 10 SP4 for x86,SUSE Linux Enterprise Software Development Kit 11 SP2,SUSE Linux Enterprise Software Development Kit 11 SP3,SUSE Studio Onsite 1.3
CVE-2013-1968, security advisory, novell, suse linux, suse, security, cve

CVE-2013-1968

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-1968 at MITRE

Description

Subversion before 1.6.23 and 1.7.x before 1.7.10 allows remote authenticated users to cause a denial of service (FSFS repository corruption) via a newline character in a file name.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.46
Vector AV:N/AC:L/Au:S/C:N/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 821505 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP2
  • subversion >= 1.6.17-1.17.1
  • subversion-devel >= 1.6.17-1.17.1
  • subversion-perl >= 1.6.17-1.17.1
  • subversion-python >= 1.6.17-1.17.1
  • subversion-server >= 1.6.17-1.17.1
  • subversion-tools >= 1.6.17-1.17.1
Patchnames:
sdksp2-subversion
SUSE Linux Enterprise Software Development Kit 11 SP3
  • subversion >= 1.6.17-1.17.1
  • subversion-devel >= 1.6.17-1.17.1
  • subversion-perl >= 1.6.17-1.17.1
  • subversion-python >= 1.6.17-1.17.1
  • subversion-server >= 1.6.17-1.17.1
  • subversion-tools >= 1.6.17-1.17.1
Patchnames:
sdksp3-subversion
SUSE Studio Onsite 1.3
  • subversion >= 1.6.17-1.17.1
Patchnames:
slestso13-subversion
SUSE Linux Enterprise Software Development Kit 11 SP3
  • subversion >= 1.6.17-1.17.1
  • subversion-devel >= 1.6.17-1.17.1
  • subversion-perl >= 1.6.17-1.17.1
  • subversion-python >= 1.6.17-1.17.1
  • subversion-server >= 1.6.17-1.17.1
  • subversion-tools >= 1.6.17-1.17.1
Builds
SAT Patch Nr: 7933
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • subversion >= 1.3.1-1.24.1
  • subversion-devel >= 1.3.1-1.24.1
Builds
ZYPP Patch Nr: 8628
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • cvs2svn >= 1.3.0-30.24.1
  • subversion >= 1.3.1-1.24.1
  • subversion-devel >= 1.3.1-1.24.1
  • subversion-python >= 1.3.1-1.24.1
  • subversion-server >= 1.3.1-1.24.1
  • subversion-tools >= 1.3.1-1.24.1
  • viewcvs >= 1.0.5-0.24.1
Builds
ZYPP Patch Nr: 8628
SUSE Linux Enterprise Software Development Kit 11 SP2
  • subversion >= 1.6.17-1.17.1
  • subversion-devel >= 1.6.17-1.17.1
  • subversion-perl >= 1.6.17-1.17.1
  • subversion-python >= 1.6.17-1.17.1
  • subversion-server >= 1.6.17-1.17.1
  • subversion-tools >= 1.6.17-1.17.1
Builds
SAT Patch Nr: 7930
SUSE Studio Onsite 1.3
  • subversion >= 1.6.17-1.17.1
Builds
SAT Patch Nr: 7930
openSUSE 12.3
  • libsvn_auth_gnome_keyring-1-0 >= 1.7.10-2.8.1
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.7.10-2.8.1
  • libsvn_auth_kwallet-1-0 >= 1.7.10-2.8.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.7.10-2.8.1
  • subversion >= 1.7.10-2.8.1
  • subversion-bash-completion >= 1.7.10-2.8.1
  • subversion-debuginfo >= 1.7.10-2.8.1
  • subversion-debugsource >= 1.7.10-2.8.1
  • subversion-devel >= 1.7.10-2.8.1
  • subversion-perl >= 1.7.10-2.8.1
  • subversion-perl-debuginfo >= 1.7.10-2.8.1
  • subversion-python >= 1.7.10-2.8.1
  • subversion-python-debuginfo >= 1.7.10-2.8.1
  • subversion-server >= 1.7.10-2.8.1
  • subversion-server-debuginfo >= 1.7.10-2.8.1
  • subversion-tools >= 1.7.10-2.8.1
  • subversion-tools-debuginfo >= 1.7.10-2.8.1
Patchnames:
openSUSE-2013-494
openSUSE Evergreen 11.4
  • libsvn_auth_gnome_keyring-1-0 >= 1.6.23-51.1
  • libsvn_auth_gnome_keyring-1-0-debuginfo >= 1.6.23-51.1
  • libsvn_auth_kwallet-1-0 >= 1.6.23-51.1
  • libsvn_auth_kwallet-1-0-debuginfo >= 1.6.23-51.1
  • subversion >= 1.6.23-51.1
  • subversion-debuginfo >= 1.6.23-51.1
  • subversion-debugsource >= 1.6.23-51.1
  • subversion-devel >= 1.6.23-51.1
  • subversion-perl >= 1.6.23-51.1
  • subversion-perl-debuginfo >= 1.6.23-51.1
  • subversion-python >= 1.6.23-51.1
  • subversion-python-debuginfo >= 1.6.23-51.1
  • subversion-ruby >= 1.6.23-51.1
  • subversion-ruby-debuginfo >= 1.6.23-51.1
  • subversion-server >= 1.6.23-51.1
  • subversion-server-debuginfo >= 1.6.23-51.1
  • subversion-tools >= 1.6.23-51.1
  • subversion-tools-debuginfo >= 1.6.23-51.1
Patchnames:
2013-102